﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CellMultiline
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Column 1", typeof(string));
            dt.Columns.Add("Column 2", typeof(string));
            dt.Columns.Add("Column 3", typeof(string));
            dt.Rows.Add("", "1Good", "Test 1\nTest2\nTest3");
            dt.Rows.Add("", "2Average", "Test 7\nTest5\nTest3");
            dt.Rows.Add("", "3Below Average", "Test 5\nTest4\nTest3");

            this.ultraGrid1.Dock = DockStyle.Fill;
            this.ultraGrid1.DisplayLayout.AutoFitStyle = AutoFitStyle.ResizeAllColumns;
            this.ultraGrid1.DataSource = dt;

            this.ultraGrid1.DisplayLayout.Override.CellMultiLine = DefaultableBoolean.True;
            this.ultraGrid1.DisplayLayout.Override.RowSizing = RowSizing.AutoFixed;
        }
    }
}
